Bug 1415296 - API for modules: Make parameters of log_*() functions the same in bash and python
Summary: API for modules: Make parameters of log_*() functions the same in bash and py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 19:35 UTC by Michal Bocek
Modified: 2017-03-21 12:10 UTC (History)
4 users (show)

Fixed In Version: preupgrade-assistant-2.3.0-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:10:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Description Michal Bocek 2017-01-20 19:35:10 UTC
log_*() functions in bash API (for Preupgrade Assistant modules) accept multiple parameters ($@), however main _log() function, that is subsequently called, ignores all but the first parameter.
In python the log_*() functions correctly accept only one parameter.

Replace $@ by $1 in log_*() functions in bash API. They will be then synced with API for Python.

Version-Release number of selected component (if applicable):
preupgrade-assistant-2.2.0-1.el6

Comment 1 Michal Bocek 2017-01-20 19:39:30 UTC
Fixed in upstream: https://github.com/upgrades-migrations/preupgrade-assistant/commit/34cb3c10fa368900e892f51e21d333dcb5a207a1

pstodulk, do you need a bugzilla for modules so they are updated accordingly to the change described above?

Comment 4 Petr Stodulka 2017-01-23 08:29:25 UTC
NOpe. Behaviour is not changed and original troubles are already fixed in devel repository. Patches will be applied in next build.

Comment 5 Tereza Cerna 2017-02-01 15:43:28 UTC
Test suite works. Nothing broken.

Comment 7 errata-xmlrpc 2017-03-21 12:10:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.